import { OnDestroy, ComponentFactoryResolver, ViewContainerRef, ElementRef, Renderer2, TemplateRef, NgZone } from '@angular/core';
import { CalendarEvent } from 'calendar-utils';
export interface CalendarTooltipConfig {
    contents: string;
    placement: string;
    event: CalendarEvent;
    customTemplate: TemplateRef<any>;
}
export declare class CalendarTooltipWindowComponent implements CalendarTooltipConfig {
    contents: string;
    placement: string;
    event: CalendarEvent;
    customTemplate: TemplateRef<any>;
    constructor(config: CalendarTooltipConfig);
}
export declare class CalendarTooltipDirective implements OnDestroy {
    private elementRef;
    private renderer;
    private viewContainerRef;
    private ngZone;
    private document;
    contents: string;
    placement: string;
    customTemplate: TemplateRef<any>;
    event: CalendarEvent;
    appendToBody: boolean;
    private tooltipFactory;
    private tooltipRef;
    private positioning;
    constructor(elementRef: ElementRef, renderer: Renderer2, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef, ngZone: NgZone, document: any);
    ngOnDestroy(): void;
    onMouseOver(): void;
    onMouseOut(): void;
    private show();
    private hide();
    private positionTooltip();
}
